#### D.2.10.7 sparsepoly

Procedure from library `random.lib` (see random_lib).

Usage:
  sparsepoly(u[,o,p,b]); u,o,p,b integers

Return:
  poly having only terms in degree d, u<=d<=o, p percentage of the terms in degree d are 0, the remaining have random coefficients in [1,b), (defaults: o=u, p=75, b=30000)

Example:

    LIB "random.lib";
    ring r=0,(x,y,z),dp;
    sparsepoly(5);"";
    ==> 24263xy4+24170x4z+21962x3yz+26642xy3z+5664xy2z2+17904xz4
    ==>
    sparsepoly(3,5,90,9);
    ==> 8x3z2+2y3z2+3xyz3+2xy3+yz3+xy2

User manual for Singular version 4.4.1, 2025, generated by texi2html.